View Issue Details

IDProjectCategoryView StatusLast Update
0032865LazarusIDEpublic2020-08-16 14:42
Reportercordylus Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.8 
Fixed in Version2.2 
Summary0032865: When I undo to unchanged state, lines are still marked yellow and I can't save to mark them green
DescriptionI'm talking about those bars on the left of the editor.
Unchanged state is when there is no star at the tab header and no Modified word in the status bar. In this state Ctrl+S is blocked, even though the lines may be still marked as changed.

I'd like to see them become green automatically once I am at the saved (unchanged) state, but allowing Ctrl+S is an acceptable solution too. Currently I have to add and delete a character to work around it.
Steps To ReproduceOpen a file, make a change, undo, try Ctrl+S, doesn't make the bars green.
TagsNo tags attached.
Fixed in Revision63752
LazTarget2.2
Widgetset
Attached Files

Relationships

has duplicate 0037209 resolvedSven Barth Left outline of editor does not change back to green upon Undo 

Activities

Martin Friebe

2017-12-23 11:59

manager   ~0104963

I see a third option: To make them unmarked (no color) if they return to unchanged.

Not yet decided which option will be implemented.

cordylus

2017-12-23 22:24

reporter   ~0104977

Last edited: 2017-12-23 23:23

View 2 revisions

I like the idea of unmarking (in the best case - on every undo), just thought it would be too complex to implement. IIUC, it would be like removing the yellow layer and restoring either unmarked or green, depending on what was there before the change.

Martin Friebe

2020-08-16 14:42

manager   ~0124921

Please test with r63752

Issue History

Date Modified Username Field Change
2017-12-21 04:05 cordylus New Issue
2017-12-23 11:57 Martin Friebe Assigned To => Martin Friebe
2017-12-23 11:57 Martin Friebe Status new => assigned
2017-12-23 11:59 Martin Friebe Note Added: 0104963
2017-12-23 22:24 cordylus Note Added: 0104977
2017-12-23 23:23 cordylus Note Edited: 0104977 View Revisions
2020-06-12 23:00 Martin Friebe Relationship added has duplicate 0037209
2020-08-16 14:42 Martin Friebe Status assigned => resolved
2020-08-16 14:42 Martin Friebe Resolution open => fixed
2020-08-16 14:42 Martin Friebe Fixed in Version => 2.2
2020-08-16 14:42 Martin Friebe Fixed in Revision => 63752
2020-08-16 14:42 Martin Friebe LazTarget => 2.2
2020-08-16 14:42 Martin Friebe Note Added: 0124921